## trunk?format=zip&rev=34

=== IPs/systemC/processor/Morpheo/Tools/Viewer/Makefile ===
#############################################################################
# Makefile for building: bin/Viewer
# Generated by qmake (2.01a) (Qt 4.2.3) on: mer. mai 30 17:34:21 2007
# Project:  Viewer.pro
# Template: app app
# Command: /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/bin/qmake -unix -o Makefile Viewer.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DDBUG_PARSE -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W  $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/linux-g++ -I. -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtCore -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtCore -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtGui -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtGui -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtXml -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include/QtXml -I/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/include -I. -IBdd/include -IGraphics/include -IParser/include -I../.. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib
LIBS          = $(SUBLIBS)  -L/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib -lQtXml -L/dsk/l1/misc/kane/qt-x11-opensource-src-4.2.3/lib -pthread -pthread -lQtGui -L/usr/X11R6/lib -lpng -lSM -lICE -pthread -pthread -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtCore -lz -lm -pthread -lgthread-2.0 -lglib-2.0 -lpthread -ldl
AR            = ar cqs
RANLIB        = 
QMAKE         = /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = Bdd/src/Architecture_accessors.cpp \
		Bdd/src/BaseP_accessors.cpp \
		Bdd/src/Architecture_addComponent.cpp \
		Bdd/src/Architecture_alloc.cpp \
		Bdd/src/Architecture_searchComponent.cpp \
		Bdd/src/Architecture_unalloc.cpp \
		Bdd/src/BaseP_alloc.cpp \
		Bdd/src/BaseP_unalloc.cpp \
		Bdd/src/BaseV_accessors.cpp \
		Bdd/src/BaseV_addBaseP.cpp \
		Bdd/src/BaseV_afficheBaseConsole.cpp \
		Bdd/src/BaseV_afficheParamConsole.cpp \
		Bdd/src/BaseV_afficheLimitParamConsole.cpp \
		Bdd/src/BaseV_alloc.cpp \
		Bdd/src/BaseV_searchComponent.cpp \
		Bdd/src/BaseV_unalloc.cpp \
		Bdd/src/Component_accessors.cpp \
		Bdd/src/Component_addPortMap.cpp \
		Bdd/src/Component_alloc.cpp \
		Bdd/src/Component_getPosition.cpp \
		Bdd/src/Component_unalloc.cpp \
		Bdd/src/Coord_alloc.cpp \
		Bdd/src/Coord_unalloc.cpp \
		Bdd/src/Signal_unalloc.cpp \
		Bdd/src/ListePorts_getPortSouth.cpp \
		Bdd/src/Port_accessors.cpp \
		Bdd/src/Signal_alloc.cpp \
		Bdd/src/Port_alloc.cpp \
		Bdd/src/Signal_accessors.cpp \
		Bdd/src/Coord_accessors.cpp \
		Bdd/src/Port_unalloc.cpp \
		Bdd/src/ListePorts_getPortEast.cpp \
		Bdd/src/BaseV_getSignal.cpp \
		Bdd/src/PortMap_alloc.cpp \
		Bdd/src/Entity_alloc.cpp \
		Bdd/src/PortMap_unalloc.cpp \
		Bdd/src/ListePorts_alloc.cpp \
		Bdd/src/PortMap_accessors.cpp \
		Bdd/src/ListePorts_unalloc.cpp \
		Bdd/src/ListePorts_countPort.cpp \
		Bdd/src/ListePorts_getPortWest.cpp \
		Bdd/src/Entity_unalloc.cpp \
		Bdd/src/ListePorts_getPortNorth.cpp \
		Bdd/src/Entity_accessors.cpp \
		Bdd/src/ListePorts_addPort.cpp \
		Bdd/src/ListePorts_accessors.cpp \
		Bdd/src/ListePorts_searchPort.cpp \
		Bdd/src/LimitParam_accessors.cpp \
		Bdd/src/LimitParam_unalloc.cpp \
		Bdd/src/LimitParam_alloc.cpp \
		Bdd/src/BaseV_searchGroup.cpp \
		Bdd/src/BaseV_addGroup.cpp \
		Bdd/src/BaseV_addLink.cpp \
		Bdd/src/BaseV_searchLimitParam.cpp \
		Bdd/src/BaseV_addLimitParam.cpp \
		Bdd/src/BaseV_modify.cpp \
		Bdd/src/Group_accessors.cpp \
		Bdd/src/Group_alloc.cpp \
		Bdd/src/Group_addParam.cpp \
		Bdd/src/Group_unalloc.cpp \
		Bdd/src/Param_accessors.cpp \
		Bdd/src/Param_alloc.cpp \
		Bdd/src/Param_unalloc.cpp \
		Parser/src/Parse_createParam.cpp \
		Parser/src/Parse_alloc.cpp \
		Parser/src/Parse_save.cpp \
		Parser/src/Parse_closeBaseV.cpp \
		Parser/src/Parse_accessors.cpp \
		Parser/src/Parse_parser_pos.cpp \
		Parser/src/Parse_getBaseV.cpp \
		Parser/src/Parse_unalloc.cpp \
		Parser/src/Parse_open_file.cpp \
		Parser/src/Parse_open_file_param.cpp \
		Parser/src/Parse_parser_param.cpp \
		Parser/src/Parse_parser_limitparam.cpp \
		Graphics/src/Graphics_main.cpp \
		Graphics/src/Graphics_file_actions.cpp \
		Graphics/src/Graphics_tools_actions.cpp \
		Graphics/src/Graphics_about_actions.cpp \
		Graphics/src/Graphics_main_window.cpp \
		Graphics/src/Graphics_informations_window.cpp \
		Graphics/src/Graphics_drawPort.cpp \
		Graphics/src/Graphics_parameters_window.cpp \
		Graphics/src/Graphics_setParse.cpp \
		Graphics/src/Graphics_drawAll.cpp \
		Graphics/src/Graphics_mouseEvent.cpp moc_window.cpp
OBJECTS       = obj/Architecture_accessors.o \
		obj/BaseP_accessors.o \
		obj/Architecture_addComponent.o \
		obj/Architecture_alloc.o \
		obj/Architecture_searchComponent.o \
		obj/Architecture_unalloc.o \
		obj/BaseP_alloc.o \
		obj/BaseP_unalloc.o \
		obj/BaseV_accessors.o \
		obj/BaseV_addBaseP.o \
		obj/BaseV_afficheBaseConsole.o \
		obj/BaseV_afficheParamConsole.o \
		obj/BaseV_afficheLimitParamConsole.o \
		obj/BaseV_alloc.o \
		obj/BaseV_searchComponent.o \
		obj/BaseV_unalloc.o \
		obj/Component_accessors.o \
		obj/Component_addPortMap.o \
		obj/Component_alloc.o \
		obj/Component_getPosition.o \
		obj/Component_unalloc.o \
		obj/Coord_alloc.o \
		obj/Coord_unalloc.o \
		obj/Signal_unalloc.o \
		obj/ListePorts_getPortSouth.o \
		obj/Port_accessors.o \
		obj/Signal_alloc.o \
		obj/Port_alloc.o \
		obj/Signal_accessors.o \
		obj/Coord_accessors.o \
		obj/Port_unalloc.o \
		obj/ListePorts_getPortEast.o \
		obj/BaseV_getSignal.o \
		obj/PortMap_alloc.o \
		obj/Entity_alloc.o \
		obj/PortMap_unalloc.o \
		obj/ListePorts_alloc.o \
		obj/PortMap_accessors.o \
		obj/ListePorts_unalloc.o \
		obj/ListePorts_countPort.o \
		obj/ListePorts_getPortWest.o \
		obj/Entity_unalloc.o \
		obj/ListePorts_getPortNorth.o \
		obj/Entity_accessors.o \
		obj/ListePorts_addPort.o \
		obj/ListePorts_accessors.o \
		obj/ListePorts_searchPort.o \
		obj/LimitParam_accessors.o \
		obj/LimitParam_unalloc.o \
		obj/LimitParam_alloc.o \
		obj/BaseV_searchGroup.o \
		obj/BaseV_addGroup.o \
		obj/BaseV_addLink.o \
		obj/BaseV_searchLimitParam.o \
		obj/BaseV_addLimitParam.o \
		obj/BaseV_modify.o \
		obj/Group_accessors.o \
		obj/Group_alloc.o \
		obj/Group_addParam.o \
		obj/Group_unalloc.o \
		obj/Param_accessors.o \
		obj/Param_alloc.o \
		obj/Param_unalloc.o \
		obj/Parse_createParam.o \
		obj/Parse_alloc.o \
		obj/Parse_save.o \
		obj/Parse_closeBaseV.o \
		obj/Parse_accessors.o \
		obj/Parse_parser_pos.o \
		obj/Parse_getBaseV.o \
		obj/Parse_unalloc.o \
		obj/Parse_open_file.o \
		obj/Parse_open_file_param.o \
		obj/Parse_parser_param.o \
		obj/Parse_parser_limitparam.o \
		obj/Graphics_main.o \
		obj/Graphics_file_actions.o \
		obj/Graphics_tools_actions.o \
		obj/Graphics_about_actions.o \
		obj/Graphics_main_window.o \
		obj/Graphics_informations_window.o \
		obj/Graphics_drawPort.o \
		obj/Graphics_parameters_window.o \
		obj/Graphics_setParse.o \
		obj/Graphics_drawAll.o \
		obj/Graphics_mouseEvent.o \
		obj/moc_window.o
DIST          = /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/unix.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/g++.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/linux.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/qconfig.pri \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_functions.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_config.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/exclusive_builds.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_pre.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/debug.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_post.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/unix/thread.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/moc.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/warn_on.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/resources.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/uic.prf \
		Viewer.pro
QMAKE_TARGET  = Viewer
DESTDIR       = bin/
TARGET        = bin/Viewer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) bin/ || $(MKDIR) bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: Viewer.pro  /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/linux-g++/qmake.conf /dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/unix.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/g++.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/linux.conf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/qconfig.pri \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_functions.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_config.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/exclusive_builds.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_pre.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/debug.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_post.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/unix/thread.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/moc.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/warn_on.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/resources.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/uic.prf \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib/libQtXml.prl \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib/libQtCore.prl \
		/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile Viewer.pro
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/unix.conf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/g++.conf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/common/linux.conf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/qconfig.pri:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_functions.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt_config.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/exclusive_builds.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_pre.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/debug.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/default_post.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/unix/thread.prf:
/dsk/l1/misc/kane/qt-x11-opensource-4.2.3/mkspecs/features/qt.prf:

=== IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile ===
# 
# $Id$
# 
# [Description ]
# 
# Makefile
# 

#-----[Directory ]----------------------------------------
DIR_COMPONENT			= .
include				$(DIR_COMPONENT)/Makefile.defs

#-----[Library ]------------------------------------------
LIBRARY				= $(DIR_LIB)/libRegisterFile_Multi_Banked.a


#-----[include ]------------------------------------------

all				:
				@$(MAKE) all_component

include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
include				$(DIR_MORPHEO)/Behavioural/Makefile.Component

=== packages/xen-3.1/xen-3.1/debian/changelog ===
xen-3.1 (3.1.0-0-1) UNRELEASED; urgency=low

  * New upstream version.
  * Update some dpatches, fix pygrub, thanks to Peter Siering

 -- Julien Danjou <acid@debian.org>  Tue, 19 Jun 2007 20:55:15 +0200

xen-3.0 (3.0.4-1-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream version (closes: #394411)

  [ Guido Trotter ]
  * Actually try to build and release xen 3.0.4
  * Update build dependencies

 -- Guido Trotter <ultrotter@debian.org>  Wed, 23 May 2007 11:57:29 +0100

xen-3.0 (3.0.3-0-2) unstable; urgency=medium

  [Bastian Blank]
  * Remove device recreate code.
  * Remove build dependency on linux-support-X

  [ Guido Trotter ]
  * Add missing build dependency on zlib1g-dev (closes: #396557)
  * Add missing build dependencies on libncurses5-dev and x11proto-core-dev
    (closes: #396561, #396567)

 -- Guido Trotter <ultrotter@debian.org>  Thu,  2 Nov 2006 16:38:02 +0000

xen-3.0 (3.0.3-0-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Fri, 20 Oct 2006 11:04:35 +0000

xen-3.0 (3.0.3~rc4+hg11760-1) unstable; urgency=low

  * New upstream snapshot.
  * Ignore update-grub errors. (closes: #392534)

 -- Bastian Blank <waldi@debian.org>  Sat, 14 Oct 2006 13:09:53 +0000

xen-3.0 (3.0.3~rc1+hg11686-1) unstable; urgency=low

  * New upstream snapshot.
  * Rename ioemu package to include the complete version.
  * Fix name of hypervisor. (closes: #391771)

 -- Bastian Blank <waldi@debian.org>  Mon,  9 Oct 2006 12:48:13 +0000

xen-3.0 (3.0.2-3+hg9762-1) unstable; urgency=low

  * New upstream snapshot.
  * Rename hypervisor and utils packages to include the complete version.
  * Redo build environment.

 -- Bastian Blank <waldi@debian.org>  Mon,  4 Sep 2006 18:43:12 +0000

xen-3.0 (3.0.2+hg9697-2) unstable; urgency=low

  [ Guido Trotter ]
  * Update xen-utils' README.Debian (closes: #372524)

  [ Bastian Blank ]
  * Adopt new python policy. (closes: #380990)
  * Add patch to make new kernels working on the hypervisor.

 -- Bastian Blank <waldi@debian.org>  Tue, 15 Aug 2006 19:20:08 +0000

xen-3.0 (3.0.2+hg9697-1) unstable; urgency=low

  [ Guido Trotter ]
  * Update Standards Version
  * Merge upstream fixes trunk (upstream 3.0.2-3 + a couple of fixes)

  [ Bastian Blank ]
  * Add xen-ioemu-3.0 package to support HVM guests (closes: #368496)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 31 May 2006 10:50:05 +0200

xen-3.0 (3.0.2+hg9681-1) unstable; urgency=low

  * Update xen-hypervisor-3.0-i386 and xen-hypervisor-3.0-i386-pae
    descriptions, specifying what the difference between the two packages is
    (closes: #366019)
  * Merge upstream fixes trunk

 -- Guido Trotter <ultrotter@debian.org>  Thu, 18 May 2006 15:25:02 +0200

xen-3.0 (3.0.2+hg9656-1) unstable; urgency=low

  * Merge upstream fixes trunk
    - This includes a fix for CVE-2006-1056

 -- Guido Trotter <ultrotter@debian.org>  Thu, 27 Apr 2006 17:34:03 +0200

xen-3.0 (3.0.2+hg9651-1) unstable; urgency=low

  * Merge upstream fixes trunk
  * Fix PAE disabled in pae build (Closes: #364875) 

 -- Julien Danjou <acid@debian.org>  Wed, 26 Apr 2006 13:19:39 +0200

xen-3.0 (3.0.2+hg9646-1) unstable; urgency=low

  [ Guido Trotter ]
  * Merge upstream fixes trunk

  [ Bastian Blank ]
  * debian/patches/libdir.dpatch: Update to make xm save work

 -- Julien Danjou <acid@debian.org>  Mon, 24 Apr 2006 18:02:07 +0200

xen-3.0 (3.0.2+hg9611-1) unstable; urgency=low

  * Merge upstream bug fixes
  * Fix bug with xend init.d script

 -- Julien Danjou <acid@debian.org>  Wed, 12 Apr 2006 17:35:35 +0200

xen-3.0 (3.0.2+hg9598-1) unstable; urgency=low

  * New upstream release
  * Fix copyright file

 -- Julien Danjou <acid@debian.org>  Mon, 10 Apr 2006 17:02:55 +0200

xen-3.0 (3.0.1+hg8762-1) unstable; urgency=low

  * The "preserve our homes" release
  * Now cooperatively maintained by the Debian Xen Team
  * New upstream release (closes: #327493, #342249)
  * Build depend on transfig (closes: #321157)
  * Use gcc rather than gcc-3.4 to compile (closes: #323698)
  * Split xen-hypervisor-3.0 and xen-utils-3.0
  * Build both normal and pae hypervisor packages
  * Change maintainer and add uploaders field
  * Add force-reload support for init script xendomains
  * Remove dependency against bash
  * Bump standards version to 3.6.2.2
  * xen-utils-3.0 conflicts and replaces xen
  * Add dpatch structure to the package
  * Remove build-dependency on gcc (it's build essential anyway)
  * Make SrvServer.py not executable
  * Create NEWS.Debian file with important upgrade notices
  * Update copyright file
  * Remove the linux-patch-xen package
  * Removed useless build-dependencies: libncurses5-dev, wget
  * Changed xendomains config path to /etc/default
  * xen-utils-3.0 now provides xen-utils and xen-hypervisor-3.0-i386 &
    xen-hypervisor-3.0-i386-pae & xen-hypervizor-amd64 now provide
    xen-hypervisor
  * Made xen-utils-3.0.postinst more fault-tolerant, so that upgrading
    xen2 -> xen3 don't fail because of a running xen2 hypervisor
  * Updated the "Replaces & Conflicts"
  * Install only and correctly udev files
  * Compile date is no more in current locale
  * Add patch which add the debian version and maintainer in the version
    string and removes the banner.
  * Don't install unusable cruft in xen-utils
  * Remove libxen packages (no stable API/ABI)

 -- Julien Danjou <acid@debian.org>  Wed,  5 Apr 2006 16:05:07 +0200

xen (2.0.6-1) unstable; urgency=low

  * Patches applied upstream: non-xen-init-exit.patch, add-build.patch,
    python-install.patch, disable-html-docs.patch.
  * New upstream released.  Closes: #311336.
  * Remove comparison to UML from xen short description.  Closes: #317066.
  * Make packages conflicts with 1.2 doc debs.  Closes: #304285.
  * Add iproute to xen depends, as it uses /bin/ip.  Closes: #300488,
    #317468.

 -- Adam Heath <doogie@brainfood.com>  Wed, 06 Jul 2005 12:35:50 -0500

xen (2.0.5-3) experimental; urgency=low



=== packages/xen-3.1/xen-3.1/debian/control ===
Source: xen-3.1
Section: misc
Priority: extra
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Jeremy T. Bouse <jbouse@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 5.0.37.2), python-dev (>= 2.3), libsdl1.2-dev, bcc, dpatch, lsb-release, python-central (>= 0.5), zlib1g-dev, libncurses5-dev, x11proto-core-dev, libssl-dev, libcrypto++-dev
Build-Depends-Indep: transfig, tetex-bin, tetex-extra, gs-common
XS-Python-Version: current

Package: xen-docs-3.1
Architecture: all
Description: documentation for XEN, a Virtual Machine Monitor
 This package contains all the large documentation files for XEN.  This
 includes a description interface(both the api, and a nice explanation of
 how XEN works).  It also contains the VBD and Xeno howtos.

Package: xen-utils-3.1.0-1
Architecture: amd64 i386
Provides: xen-utils
Depends: ${shlibs:Depends}, ${python:Depends}, xen-utils-common (>= 3.0+hg11624-2), iproute, udev (>> 0.060)
Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-3.1.0-1
Suggests: xen-docs-3.1
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
XB-Python-Version: ${python:Versions}

Package: xen-ioemu-3.1.0-1
Architecture: amd64 i386
Depends: ${shlibs:Depends}, xen-utils-3.1.0-1 (= ${Source-Version})
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
 .
 This package includes the utilities required to support HVM domains, which
 allows full virtualization of unmodified operating systems, such as
 Microsoft's Windows product line, and standard Linux kernels.
 .
 For this to work, you will need a CPU with hardware virtualization
 support, such as Intel's CPUs with VT, or AMD's CPUs with Pacifica.

Package: xen-hypervisor-3.1.0-1-amd64
Architecture: amd64
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-amd64
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on AMD64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-3.1.0-1-i386
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-i386
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on i386
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 This version of the hypervisor is built with support for systems with up
 to 4GB of memory.  If you have more please install the -pae version
 instead.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-3.1.0-1-i386-pae
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-i386-pae
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on i386 with pae
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 This version of the hypervisor is built with PAE enabled, in order to
 support systems with more than 4GB of memory.  If you have less than that
 you should probably choose the non -pae version.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.
